View Issue Details

IDProjectCategoryView StatusLast Update
0002924ScribusStory Editor / Text Framespublic2014-10-08 00:02
Reporterfsnelting Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionreopened 
PlatformanyOSanyOS Versionany
Product Version1.3.3.1 
Target VersionFixed in Version1.3.2cvs 
Summary0002924: Search and replace: give feedback about how many occurences were found/replaced
DescriptionAfter 'replace' has been executed, feedback could be 'Replaced x amount of elements' (not: 'Search Finished')
Tagstext frames, usability
Patch

Relationships

related to 0002332 new Add regular expression capability to Search/Replace 
child of 0012755 new Metabug: Search & Replace (1.5.x svn) 

Activities

cbradney

2005-12-18 15:57

administrator   ~0007766

Doesn't work for canvas text, only SE.

ringerc

2005-12-19 04:27

reporter   ~0007772

Frankly, I forgot that S&R was enabled on the canvas now. It looks like it might use an entirely different code path. Great.

mhanski

2006-05-04 16:28

developer   ~0010895

confirmed with 1.3.3.1 on win2000, both in SE and on canvas:

"Replace all" => "Search finished"

JLuc

2011-12-25 21:21

developer   ~0027391

I second this request : telling the user "search finished" after a replace all operation sounds like a joke.

User should be told how many occurences have been replaced.

louisdesjardins

2012-01-06 19:09

developer   ~0027474

It's nice to have but really, we're still close to a *joke* when the computer tells us how many occurences were changed, no?

How about an option that would allow the user to see in a list displayed in any way we would find convenient (a left-hand list just aside of the text for instance) that would let know precisely *which* occurences were changed and allow to click on any of them to see the occurence in the text itself, so in full context. That would allow full downstream control on the automated work done by the computer.

Issue History

Date Modified Username Field Change
2005-12-18 00:06 fsnelting New Issue
2005-12-18 07:31 ringerc Status new => resolved
2005-12-18 07:31 ringerc Fixed in Version => 1.3.2cvs
2005-12-18 07:31 ringerc Resolution open => fixed
2005-12-18 07:31 ringerc Assigned To => ringerc
2005-12-18 15:57 cbradney Status resolved => feedback
2005-12-18 15:57 cbradney Resolution fixed => reopened
2005-12-18 15:57 cbradney Note Added: 0007766
2005-12-19 04:27 ringerc Note Added: 0007772
2006-04-14 11:22 mhanski Relationship added related to 0002332
2006-04-14 19:28 mhanski OS => any
2006-04-14 19:28 mhanski OS Version => any
2006-04-14 19:28 mhanski Platform => any
2006-04-14 19:28 mhanski Product Version => 1.3
2006-05-04 16:28 mhanski Note Added: 0010895
2006-05-04 16:28 mhanski Status feedback => confirmed
2006-05-04 16:28 mhanski Product Version 1.3 => 1.3.3.1
2008-03-14 06:46 ringerc Assigned To ringerc =>
2011-12-25 21:21 JLuc Note Added: 0027391
2012-01-06 08:47 StefanM Tag Attached: usability
2012-01-06 08:48 StefanM Tag Attached: text frames
2012-01-06 19:09 louisdesjardins Note Added: 0027474
2014-10-08 00:02 Kunda Relationship added child of 0012755
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames